;Sample .cmd file to demonstrate use of ITIMER when controlling
;Procomm script files.  This one simply uses a one minute time
;interval before exiting Procomm.

;Note that the event testing is being done by executing itimer with
;the -t option followed by a check to see if the itimer.dat file is
;still there (isfile "itimer.dat).  This technique was required
;because of Procomm's limited errorlevel reporting capacity.
;
trace on			;so you can watch it run
log open "itimer.log"	;so you can review results later

dos "itimer -s"		;creates & time stamps itimer.dat file

start:			;start of the dialing sequence
isfile "itimer.dat"		;1st see if scratch file still present
if not success		;if not, the time has elapsed
	log close "itimer.log"	;close the screen log
	quit			;leave Procomm for DOS - you may want
				;  to just start another dialing
				;  sequence instead.
endif

waitfor "nothing" 5		;your dialing commands would go here
				;  but I'll just wait 5 seconds instead

;if connected		;If you were successful, delete
;	dos "itimer -t"		;  the itimer.dat file and continue
;	goto carry_on		;  with your script commands.
;endif			;Note that I have commented these 4
				;  lines out of this test script.

dos "itimer -t 1"		;If no connect, have itimer check the
				;  elapsed time before starting the
				;  sequence over again.
goto start

carry_on:			;the rest of your script commands
